Module javafx.graphics
Package javafx.scene.effect

# Class ColorInput

java.lang.Object
javafx.scene.effect.Effect
javafx.scene.effect.ColorInput

public class ColorInput extends Effect
An effect that renders a rectangular region that is filled ("flooded") with the given `Paint`. This is equivalent to rendering a filled rectangle into an image and using an `ImageInput` effect, except that it is more convenient and potentially much more efficient.

Since:
  JavaFX 2.0

## Property Summary

Properties
Type
Property
Description
`final DoubleProperty`
`height`
Sets the height of the region to be flooded, relative to the local coordinate space of the content `Node`.
`final ObjectProperty<Paint>`
`paint`
The `Paint` used to flood the region.
`final DoubleProperty`
`width`
Sets the width of the region to be flooded, relative to the local coordinate space of the content `Node`.
`final DoubleProperty`
`x`
Sets the x location of the region to be flooded, relative to the local coordinate space of the content `Node`.
`final DoubleProperty`
`y`
Sets the y location of the region to be flooded, relative to the local coordinate space of the content `Node`.

## Constructor Summary

Constructors
Constructor
Description
`ColorInput()`
Creates a new instance of ColorInput with default parameters.
`ColorInput(double x, double y, double width, double height, Paint paint)`
Creates a new instance of ColorInput with the specified x, y, width, height, and paint.

## Method Summary

Modifier and Type
Method
Description
`final double`
`getHeight()`
Gets the value of the `height` property.
`final Paint`
`getPaint()`
Gets the value of the `paint` property.
`final double`
`getWidth()`
Gets the value of the `width` property.
`final double`
`getX()`
Gets the value of the `x` property.
`final double`
`getY()`
Gets the value of the `y` property.
`final DoubleProperty`
`heightProperty()`
Sets the height of the region to be flooded, relative to the local coordinate space of the content `Node`.
`final ObjectProperty<Paint>`
`paintProperty()`
The `Paint` used to flood the region.
`final void`
`setHeight(double value)`
Sets the value of the `height` property.
`final void`
`setPaint(Paint value)`
Sets the value of the `paint` property.
`final void`
`setWidth(double value)`
Sets the value of the `width` property.
`final void`
`setX(double value)`
Sets the value of the `x` property.
`final void`
`setY(double value)`
Sets the value of the `y` property.
`final DoubleProperty`
`widthProperty()`
Sets the width of the region to be flooded, relative to the local coordinate space of the content `Node`.
`final DoubleProperty`
`xProperty()`
Sets the x location of the region to be flooded, relative to the local coordinate space of the content `Node`.
`final DoubleProperty`
`yProperty()`
Sets the y location of the region to be flooded, relative to the local coordinate space of the content `Node`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Property Details

### paint

public final ObjectProperty<Paint> paintProperty
The `Paint` used to flood the region.

           Min: n/a
           Max: n/a
       Default: Color.RED
      Identity: n/a

Default value:
  RED
See Also:
  - `getPaint()`
  - `setPaint(Paint)`
  - `paintProperty()`

### x

public final DoubleProperty xProperty
Sets the x location of the region to be flooded, relative to the local coordinate space of the content `Node`.

           Min: n/a
           Max: n/a
       Default: 0.0
      Identity: 0.0

Default value:
  0.0
See Also:
  - `getX()`
  - `setX(double)`
  - `xProperty()`

### y

public final DoubleProperty yProperty
Sets the y location of the region to be flooded, relative to the local coordinate space of the content `Node`.

           Min: n/a
           Max: n/a
       Default: 0.0
      Identity: 0.0

Default value:
  0.0
See Also:
  - `getY()`
  - `setY(double)`
  - `yProperty()`

### width

public final DoubleProperty widthProperty
Sets the width of the region to be flooded, relative to the local coordinate space of the content `Node`.

           Min: n/a
           Max: n/a
       Default: 0.0
      Identity: 0.0

Default value:
  0.0
See Also:
  - `getWidth()`
  - `setWidth(double)`
  - `widthProperty()`

### height

public final DoubleProperty heightProperty
Sets the height of the region to be flooded, relative to the local coordinate space of the content `Node`.

           Min: n/a
           Max: n/a
       Default: 0.0
      Identity: 0.0

Default value:
  0.0
See Also:
  - `getHeight()`
  - `setHeight(double)`
  - `heightProperty()`

## Constructor Details

### ColorInput

public ColorInput()
Creates a new instance of ColorInput with default parameters.

### ColorInput

public ColorInput(double x, double y, double width, double height, Paint paint)
Creates a new instance of ColorInput with the specified x, y, width, height, and paint.

Parameters:
  `x` - the x location of the region to be flooded
  `y` - the y location of the region to be flooded
  `width` - the width of the region to be flooded
  `height` - the height of the region to be flooded
  `paint` - the `Paint` used to flood the region
Since:
  JavaFX 2.1

## Method Details

### setPaint

public final void setPaint(Paint value)
Sets the value of the `paint` property.

Property description:
  The `Paint` used to flood the region.

             Min: n/a
             Max: n/a
         Default: Color.RED
        Identity: n/a

Default value:
  RED
Parameters:
  `value` - the value for the `paint` property
See Also:
  - `getPaint()`
  - `paintProperty()`

### getPaint

public final Paint getPaint()
Gets the value of the `paint` property.

Property description:
  The `Paint` used to flood the region.

             Min: n/a
             Max: n/a
         Default: Color.RED
        Identity: n/a

Default value:
  RED
Returns:
  the value of the `paint` property
See Also:
  - `setPaint(Paint)`
  - `paintProperty()`

### paintProperty

public final ObjectProperty<Paint> paintProperty()
The `Paint` used to flood the region.

           Min: n/a
           Max: n/a
       Default: Color.RED
      Identity: n/a

Default value:
  RED
Returns:
  the `paint` property
See Also:
  - `getPaint()`
  - `setPaint(Paint)`

### setX

public final void setX(double value)
Sets the value of the `x` property.

Property description:
  Sets the x location of the region to be flooded, relative to the local coordinate space of the content `Node`.

             Min: n/a
             Max: n/a
         Default: 0.0
        Identity: 0.0

Default value:
  0.0
Parameters:
  `value` - the value for the `x` property
See Also:
  - `getX()`
  - `xProperty()`

### getX

public final double getX()
Gets the value of the `x` property.

Property description:
  Sets the x location of the region to be flooded, relative to the local coordinate space of the content `Node`.

             Min: n/a
             Max: n/a
         Default: 0.0
        Identity: 0.0

Default value:
  0.0
Returns:
  the value of the `x` property
See Also:
  - `setX(double)`
  - `xProperty()`

### xProperty

public final DoubleProperty xProperty()
Sets the x location of the region to be flooded, relative to the local coordinate space of the content `Node`.

           Min: n/a
           Max: n/a
       Default: 0.0
      Identity: 0.0

Default value:
  0.0
Returns:
  the `x` property
See Also:
  - `getX()`
  - `setX(double)`

### setY

public final void setY(double value)
Sets the value of the `y` property.

Property description:
  Sets the y location of the region to be flooded, relative to the local coordinate space of the content `Node`.

             Min: n/a
             Max: n/a
         Default: 0.0
        Identity: 0.0

Default value:
  0.0
Parameters:
  `value` - the value for the `y` property
See Also:
  - `getY()`
  - `yProperty()`

### getY

public final double getY()
Gets the value of the `y` property.

Property description:
  Sets the y location of the region to be flooded, relative to the local coordinate space of the content `Node`.

             Min: n/a
             Max: n/a
         Default: 0.0
        Identity: 0.0

Default value:
  0.0
Returns:
  the value of the `y` property
See Also:
  - `setY(double)`
  - `yProperty()`

### yProperty

public final DoubleProperty yProperty()
Sets the y location of the region to be flooded, relative to the local coordinate space of the content `Node`.

           Min: n/a
           Max: n/a
       Default: 0.0
      Identity: 0.0

Default value:
  0.0
Returns:
  the `y` property
See Also:
  - `getY()`
  - `setY(double)`

### setWidth

public final void setWidth(double value)
Sets the value of the `width` property.

Property description:
  Sets the width of the region to be flooded, relative to the local coordinate space of the content `Node`.

             Min: n/a
             Max: n/a
         Default: 0.0
        Identity: 0.0

Default value:
  0.0
Parameters:
  `value` - the value for the `width` property
See Also:
  - `getWidth()`
  - `widthProperty()`

### getWidth

public final double getWidth()
Gets the value of the `width` property.

Property description:
  Sets the width of the region to be flooded, relative to the local coordinate space of the content `Node`.

             Min: n/a
             Max: n/a
         Default: 0.0
        Identity: 0.0

Default value:
  0.0
Returns:
  the value of the `width` property
See Also:
  - `setWidth(double)`
  - `widthProperty()`

### widthProperty

public final DoubleProperty widthProperty()
Sets the width of the region to be flooded, relative to the local coordinate space of the content `Node`.

           Min: n/a
           Max: n/a
       Default: 0.0
      Identity: 0.0

Default value:
  0.0
Returns:
  the `width` property
See Also:
  - `getWidth()`
  - `setWidth(double)`

### setHeight

public final void setHeight(double value)
Sets the value of the `height` property.

Property description:
  Sets the height of the region to be flooded, relative to the local coordinate space of the content `Node`.

             Min: n/a
             Max: n/a
         Default: 0.0
        Identity: 0.0

Default value:
  0.0
Parameters:
  `value` - the value for the `height` property
See Also:
  - `getHeight()`
  - `heightProperty()`

### getHeight

public final double getHeight()
Gets the value of the `height` property.

Property description:
  Sets the height of the region to be flooded, relative to the local coordinate space of the content `Node`.

             Min: n/a
             Max: n/a
         Default: 0.0
        Identity: 0.0

Default value:
  0.0
Returns:
  the value of the `height` property
See Also:
  - `setHeight(double)`
  - `heightProperty()`

### heightProperty

public final DoubleProperty heightProperty()
Sets the height of the region to be flooded, relative to the local coordinate space of the content `Node`.

           Min: n/a
           Max: n/a
       Default: 0.0
      Identity: 0.0

Default value:
  0.0
Returns:
  the `height` property
See Also:
  - `getHeight()`
  - `setHeight(double)`